const checkEnvs = () => {
    const requiredEnvs = ["GRAPHQL_ENDPOINT", "HASURA_ADMIN_SECRET"];
    const missingEnvs = requiredEnvs.filter((env) => !process.env[env]);
    if (missingEnvs.length > 0) {
        throw new Error(`Missing required environment variables: ${missingEnvs.join(", ")}`);
    }
};
checkEnvs();
export const getHeaders = () => {
    return {
        "Content-Type": "application/json",
        "x-hasura-admin-secret": process.env["HASURA_ADMIN_SECRET"] || "admin",
    };
};
export const getEndpoint = () => {
    return process.env["GRAPHQL_ENDPOINT"] || "http://localhost:8080/v1/graphql";
};
