export const targetViewTypes = [
    {
        builder_version: 1,
        id: 1,
        renderer_version: 1,
        builder_name: "lexical-editor-plugin-builder",
        name: "lexical-pine",
        renderer_name: "lexical-editor-plugin-renderer",
    },
    {
        builder_version: 1,
        id: 2,
        renderer_version: 1,
        builder_name: "proto-rooadmap-web-builder",
        name: "proto-web",
        renderer_name: "proto-rooadmap-web-renderer",
    },
    {
        builder_version: 1,
        id: 3,
        renderer_version: 1,
        builder_name: "lexical-editor-plugin-builder",
        name: "rn-bottom-tab",
        renderer_name: "rn-bottom-tab-renderer",
    },
    {
        builder_version: 1,
        id: 4,
        renderer_version: 1,
        builder_name: "cartographer",
        name: "web-cartogram-ol-real",
        renderer_name: "web-cartogram-ol-real-renderer",
    },
];
export const allPieceTypes = [
    {
        id: 1,
        piece_type_title: "default_judge_input",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: false,
        title: null,
        description: null,
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 2,
        piece_type_title: "text",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: true,
        title: "글조각",
        description: "글로 된 조각 입니다.",
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 3,
        piece_type_title: "single_image",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: true,
        title: "그림조각",
        description: "사진 또는 그림으로 된 조각 입니다.",
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 4,
        piece_type_title: "multi_image",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: null,
        title: null,
        description: null,
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 5,
        piece_type_title: "single_youtube",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: true,
        title: "유튜브조각",
        description: "유튜브로 된 조각 입니다.",
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 6,
        piece_type_title: "multi_youtube",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: null,
        title: null,
        description: null,
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 11,
        piece_type_title: "markup",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: null,
        title: null,
        description: null,
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 12,
        piece_type_title: "markdown",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: null,
        title: null,
        description: null,
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 18,
        piece_type_title: "basic_choice",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: true,
        title: "객관식",
        description: "객관식 문제 풀이 조각 입니다.",
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 19,
        piece_type_title: "audio",
        is_inmap: null,
        is_outmap: null,
        is_set_on_locus_design: null,
        title: "audio",
        description: "소리 파일을 들을 수 있는 조각 입니다.",
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 20,
        piece_type_title: "multi-word",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: true,
        title: "multi-word",
        description: "정답 형태를 다양하게 정해줄 수 있습니다.",
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 21,
        piece_type_title: "jigsaw",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: true,
        title: "jigsaw",
        description: "이미지를 업로드해서 직소퍼즐을 맞추는 미션을 줄 수 있어요.",
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 22,
        piece_type_title: "3d-text",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: false,
        title: "3d-text",
        description: "3차원 텍스트를 추가한다.",
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 23,
        piece_type_title: "3d-word-cloud",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: false,
        title: "3d-word-cloud",
        description: "워드 클라우드에서 객관식 답을 선택할 수 있습니다.",
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 24,
        piece_type_title: "draggable-list-image-text",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: false,
        title: "draggable-list-image-text",
        description: "순서 맞추기 문제 입니다.",
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 25,
        piece_type_title: "viewpager",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: false,
        title: "viewpager",
        description: "여러 이미지 중에 맞는 이미지 중에 하나를 골라야 해요.",
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 26,
        piece_type_title: "3d-environment-with-hiddens",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: false,
        title: "3d-environment-with-hiddens",
        description: "360도 카메라로 공간을 찍고, 그 안에서 숨겨진 이미지 조각을 전부 찾아내는  과제 입니다.",
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 27,
        piece_type_title: "image-human-remote-judge",
        is_inmap: false,
        is_outmap: true,
        is_set_on_locus_design: true,
        title: "image-human-remote-judge",
        description: "적합한 이미지를 찍어서 사람에게 판단 받는다.",
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 28,
        piece_type_title: "blinker",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: false,
        title: "blinker",
        description: "일명 신호등 문제 입니다. 여러 이미지 중에서 정답인 이미지들을 선택해야 하는 문제 입니다.",
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 29,
        piece_type_title: "lexical-dev-0",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: true,
        title: "렉시컬",
        description: "렉시컬 편집기",
        is_judge_piece: false,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 30,
        piece_type_title: "pdf",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: false,
        title: "pdf",
        description: "pdf 파일 보기",
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 31,
        piece_type_title: "html",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: false,
        title: "html",
        description: "html 뷰어",
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 14,
        piece_type_title: "wall_poster_by_printing",
        is_inmap: false,
        is_outmap: true,
        is_set_on_locus_design: null,
        title: null,
        description: null,
        is_judge_piece: false,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 15,
        piece_type_title: "inner_book_by_demise",
        is_inmap: false,
        is_outmap: true,
        is_set_on_locus_design: null,
        title: null,
        description: null,
        is_judge_piece: false,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 16,
        piece_type_title: "person_as_judge",
        is_inmap: false,
        is_outmap: true,
        is_set_on_locus_design: null,
        title: "사람",
        description: "사람이 판단해요",
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 13,
        piece_type_title: "QR_sticker",
        is_inmap: false,
        is_outmap: true,
        is_set_on_locus_design: null,
        title: "QR",
        description: "QR 붙이기",
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 17,
        piece_type_title: "word_npc",
        is_inmap: false,
        is_outmap: true,
        is_set_on_locus_design: null,
        title: "말 NPC",
        description: "사람이 특정 말을 듣고 맞는지 여부를 판단한다.",
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 7,
        piece_type_title: "local_interactive_web",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: null,
        title: null,
        description: null,
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 8,
        piece_type_title: "remote_interactive_web",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: null,
        title: null,
        description: null,
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 9,
        piece_type_title: "local_interactive_native",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: null,
        title: null,
        description: null,
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
    {
        id: 10,
        piece_type_title: "remote_interactive_native",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: null,
        title: null,
        description: null,
        is_judge_piece: true,
        target_view_type_id: 2,
        is_atomic: false,
    },
];
export const atomicPieceTypes = [
    {
        id: 2,
        piece_type_title: "text",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: true,
        title: "글조각",
        description: "글로 된 조각 입니다.",
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 3,
        piece_type_title: "single_image",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: true,
        title: "그림조각",
        description: "사진 또는 그림으로 된 조각 입니다.",
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 4,
        piece_type_title: "multi_image",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: null,
        title: null,
        description: null,
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 5,
        piece_type_title: "single_youtube",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: true,
        title: "유튜브조각",
        description: "유튜브로 된 조각 입니다.",
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 6,
        piece_type_title: "multi_youtube",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: null,
        title: null,
        description: null,
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 11,
        piece_type_title: "markup",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: null,
        title: null,
        description: null,
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 12,
        piece_type_title: "markdown",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: null,
        title: null,
        description: null,
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 19,
        piece_type_title: "audio",
        is_inmap: null,
        is_outmap: null,
        is_set_on_locus_design: null,
        title: "audio",
        description: "소리 파일을 들을 수 있는 조각 입니다.",
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 22,
        piece_type_title: "3d-text",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: false,
        title: "3d-text",
        description: "3차원 텍스트를 추가한다.",
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 30,
        piece_type_title: "pdf",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: false,
        title: "pdf",
        description: "pdf 파일 보기",
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
    {
        id: 31,
        piece_type_title: "html",
        is_inmap: true,
        is_outmap: false,
        is_set_on_locus_design: false,
        title: "html",
        description: "html 뷰어",
        is_judge_piece: false,
        target_view_type_id: null,
        is_atomic: true,
    },
];
